# Cinder

# cinder::app::AppImplMswRenderer Class Reference

`#include <AppImplMswRenderer.h>`

Inherited by cinder::app::AppImplMswRendererGdi, and cinder::app::AppImplMswRendererGl.

List of all members.

## Public Member Functions
| AppImplMswRenderer (App *aApp)
virtual bool | initialize (HWND wnd, HDC dc)=0
virtual void | prepareToggleFullScreen ()
virtual void | finishToggleFullScreen ()
virtual void | kill ()=0
virtual void | defaultResize () const =0
virtual void | swapBuffers () const =0
virtual void | makeCurrentContext ()=0
## Protected Attributes
HWND | mWnd
App * | mApp

## Constructor & Destructor Documentation

cinder::app::AppImplMswRenderer::AppImplMswRenderer | ( | App * | aApp | ) |

## Member Function Documentation

virtual bool cinder::app::AppImplMswRenderer::initialize | ( | HWND | wnd,
|  | HDC | dc |
| ) |  |  | `[pure virtual]`

Implemented in cinder::app::AppImplMswRendererGdi, and cinder::app::AppImplMswRendererGl.

virtual void cinder::app::AppImplMswRenderer::prepareToggleFullScreen | ( |  | ) | `[virtual]`

Reimplemented in cinder::app::AppImplMswRendererGl.

virtual void cinder::app::AppImplMswRenderer::finishToggleFullScreen | ( |  | ) | `[virtual]`

Reimplemented in cinder::app::AppImplMswRendererGl.

virtual void cinder::app::AppImplMswRenderer::kill | ( |  | ) | `[pure virtual]`

Implemented in cinder::app::AppImplMswRendererGdi, and cinder::app::AppImplMswRendererGl.

virtual void cinder::app::AppImplMswRenderer::defaultResize | ( |  | ) | const`[pure virtual]`

Implemented in cinder::app::AppImplMswRendererGdi, and cinder::app::AppImplMswRendererGl.

virtual void cinder::app::AppImplMswRenderer::swapBuffers | ( |  | ) | const`[pure virtual]`

Implemented in cinder::app::AppImplMswRendererGdi, and cinder::app::AppImplMswRendererGl.

virtual void cinder::app::AppImplMswRenderer::makeCurrentContext | ( |  | ) | `[pure virtual]`

Implemented in cinder::app::AppImplMswRendererGdi, and cinder::app::AppImplMswRendererGl.

## Member Data Documentation

HWND cinder::app::AppImplMswRenderer::mWnd`[protected]`

App* cinder::app::AppImplMswRenderer::mApp`[protected]`

The documentation for this class was generated from the following file:

- include/cinder/app/AppImplMswRenderer.h